Summary:	Kcm module to configure Wacom linux Drivers
Name:		wacomtablet
Version:	1.3.6
Release:	%mkrel 1
Source0:	http://kde-apps.org/CONTENT/content-files/114856-wacomtablet-v%{version}.tar.bz2
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://projects.kde.org/projects/extragear/base/wacomtablet
BuildRequires:	cmake
BuildRequires:	kdelibs4-devel
BuildRequires:	libxrandr-devel
Provides:	kcm_tablet = %{version}-%{release}
Requires:	%{name}-kcmodule
Requires:       x11-driver-input-wacom

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button / pen layouts per profile.

For hardware support have a look at http://www.linuxwacom.sourceforge.net

%files 

#-----------------------------------------------------------------------

%package -n plasma-applet-wacomtablet
Summary:	Plasma applet for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}
Provides:	plasma-applet
%description -n plasma-applet-wacomtablet
This package provides a plasma applet for %{name}

%files -n plasma-applet-wacomtablet
%_kde_libdir/kde4/plasma_applet_wacomtabletsettings.so
%_kde_services/plasma-applet-wacomtabletsettings.desktop

#-----------------------------------------------------------------------

%package kcmodule
Summary:	Kcmodule for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kded = %{version}
%description kcmodule
This package provides the necessary files for kcmmodule

%files kcmodule -f wacomtablet.lang
%_kde_libdir/kde4/kcm_wacomtablet.so
%_kde_docdir/HTML/en/kcontrol/wacomtablet/
%_kde_services/kcm_wacomtablet.desktop
%_kde_appsdir/wacomtablet/data
%_kde_appsdir/wacomtablet/images

#-----------------------------------------------------------------------
%package kded
Summary:	Kded module for %{name}
%description	kded
This package provides the kded module and dbus files for %{name}

%files kded
%_kde_libdir/kde4/kded_wacomtablet.so
%_kde_appsdir/wacomtablet/wacomtablet.notifyrc
%_kde_services/kded/wacomtablet.desktop
%_datadir/dbus-1/interfaces/org.kde.Wacom.xml
%_datadir/dbus-1/interfaces/org.kde.WacomDevice.xml

#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-v%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang wacomtablet 



%changelog

* Fri Jan 20 2012 mikala <mikala> 1.3.6-1.mga2
+ Revision: 198731
- Update tarball to 1.3.6
- Add requires for the wacom driver
- Fix some rpmlint warnings

* Wed Nov 30 2011 mikala <mikala> 1.3.5-1.mga2
+ Revision: 174615
- Update tarball to 1.3.5
- remove %%defattr() & %%clean section
- fix use of kde macros

* Sun Jun 12 2011 mikala <mikala> 1.3.2-0.mga2
+ Revision: 104516
- Update tarball to 1.3.2
- Fix file list.

* Tue May 03 2011 mikala <mikala> 1.3-0.mga1
+ Revision: 94442
- imported package wacomtablet

